Skip to content

Evaluate update-form mutation effects without saving a record.

POST
/api/workspace/entity/{entityIdOrKey}/instances/{instanceId}/form-evaluation
curl --request POST \
--url https://example.com/api/workspace/entity/example/instances/example/form-evaluation \
--header 'Content-Type: application/json' \
--data '{ "Mode": 0, "DraftFields": { "additionalProperty": {} }, "ChangedFields": [ "example" ], "FieldOrigins": { "additionalProperty": 0 } }'
  • None
entityIdOrKey
required
string
instanceId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Request payload for debounced entity form mutation-effect evaluation.

object
Mode
integer format: int32
Allowed values: 0 1 2
DraftFields
object
key
additional properties
object
ChangedFields
Array<string>
nullable
FieldOrigins
object
key
additional properties
integer format: int32
Allowed values: 0 1 2

OK

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch
object
key
additional properties
object
FieldOrigins
object
key
additional properties
integer format: int32
Allowed values: 0 1 2
LoadingFieldKeys
Array<string>
nullable
FieldErrors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch
object
key
additional properties
object
FieldOrigins
object
key
additional properties
integer format: int32
Allowed values: 0 1 2
LoadingFieldKeys
Array<string>
nullable
FieldErrors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Result of server-side form mutation-effect evaluation.

object
Patch
object
key
additional properties
object
FieldOrigins
object
key
additional properties
integer format: int32
Allowed values: 0 1 2
LoadingFieldKeys
Array<string>
nullable
FieldErrors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Skips
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"FieldOrigins": {
"additionalProperty": 0
},
"FieldErrors": [
{
"Type": 0,
"Severity": 0
}
],
"Skips": [
{
"Type": 0,
"Severity": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}